com.holonplatform.core.i18n

## Class Localizable.LocalizationException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - com.holonplatform.core.i18n.Localizable.LocalizationException

- All Implemented Interfaces:
    Serializable
  Enclosing interface:
    Localizable

      public static class Localizable.LocalizationException
      extends RuntimeException

  Exception thrown for localization related errors.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LocalizationException(String message)` Constructor with error message
    `LocalizationException(String message, Throwable cause)` Constructor with error message and nested exception
    `LocalizationException(Throwable cause)` Constructor with nested exception

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### LocalizationException

          public LocalizationException(String message)

      Constructor with error message
      Parameters:
        `message` - Error message

    - #### LocalizationException

          public LocalizationException(Throwable cause)

      Constructor with nested exception
      Parameters:
        `cause` - Nested exception

    - #### LocalizationException

          public LocalizationException(String message,
                                       Throwable cause)

      Constructor with error message and nested exception
      Parameters:
        `message` - Error message
        `cause` - Nested exception

Copyright © 2017 The Holon Platform. All rights reserved.